import request from '@/utils/request'

// 查询码头管理列表
export function listSysWharf (query) {
  return request({
    url: '/system/sysWharf/list',
    method: 'get',
    params: query
  })
}

// 查询码头管理详细
export function getSysWharf (id) {
  return request({
    url: '/system/sysWharf/' + id,
    method: 'get'
  })
}

// 新增码头管理
export function addSysWharf (data) {
  return request({
    url: '/system/sysWharf',
    method: 'post',
    data: data
  })
}

// 修改码头管理
export function updateSysWharf (data) {
  return request({
    url: '/system/sysWharf',
    method: 'put',
    data: data
  })
}

// 删除码头管理
export function delSysWharf (id) {
  return request({
    url: '/system/sysWharf/' + id,
    method: 'delete'
  })
}

// 导出码头管理
export function exportSysWharf (query) {
  return request({
    url: '/system/sysWharf/export',
    method: 'get',
    params: query
  })
}

// 获取初始化数据
export function getInitData (dictTypes) {
  return request({
    url: '/system/sysWharf/getInitData/' + dictTypes,
    method: 'get'
  })
}

// 修改码头状态
export function updateStatus (data) {
  return request({
    url: '/system/sysWharf/updateStatus',
    method: 'put',
    data: data
  })
}

// 查询所有正常码头
export function getAllSysWharf () {
  return request({
    url: '/system/sysWharf/getAll',
    method: 'get'
  })
}
